tests fail with Go 1.5 tip

Bug #1478736 reported by Michael Hudson-Doyle on 2015-07-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Snappy
Undecided
Unassigned

Bug Description

All variations on a theme:

----------------------------------------------------------------------
FAIL: build_test.go:444: SnapTestSuite.TestBuildAllPermissions

build_test.go:451:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: build_test.go:229: SnapTestSuite.TestBuildAutoGenerateConfigAppArmor

build_test.go:240:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: build_test.go:145: SnapTestSuite.TestBuildAutoGenerateIntegrationHooksBinaries

build_test.go:156:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: build_test.go:188: SnapTestSuite.TestBuildAutoGenerateIntegrationHooksServices

build_test.go:198:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: build_test.go:95: SnapTestSuite.TestBuildSimple

build_test.go:106:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: build_test.go:359: SnapTestSuite.TestBuildSimpleOutputDir

build_test.go:372:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:591: SnapTestSuite.TestClickCopyData

click_test.go:605:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:698: SnapTestSuite.TestClickCopyDataHookFails

click_test.go:720:
    // install 1.0 and then upgrade to 2.0
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:630: SnapTestSuite.TestClickCopyDataNoUserHomes

click_test.go:639:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:653: SnapTestSuite.TestClickCopyRemovesHooksFirst

click_test.go:675:
    // install 1.0 and then upgrade to 2.0
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: install_test.go:77: SnapTestSuite.TestClickInstallGCSimple

install_test.go:78:
    s.installThree(c, AllowUnauthenticated|DoInstallGC)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: install_test.go:86: SnapTestSuite.TestClickInstallGCSuppressed

install_test.go:87:
    s.installThree(c, AllowUnauthenticated)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:557: SnapTestSuite.TestClickSetActive

click_test.go:562:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:362: SnapTestSuite.TestDifferentLicenseVersion

click_test.go:376:
    pkg := makeTestSnapPackage(c, yaml+"license-version: 3\nversion: 2")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: snapp_test.go:750: SnapTestSuite.TestErrorOnUnsupportedArchitecture

snapp_test.go:760:
    snapPkg := makeTestSnapPackage(c, packageHello)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: install_test.go:94: SnapTestSuite.TestInstallAppTwiceFails

install_test.go:95:
    snapPackage := makeTestSnapPackage(c, "name: foo\nversion: 2\nvendor: foo")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:1394: SnapTestSuite.TestInstallChecksFrameworks

click_test.go:1401:
    snapFile := makeTestSnapPackage(c, packageYaml)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: install_test.go:45: SnapTestSuite.TestInstallInstall

install_test.go:46:
    snapFile := makeTestSnapPackage(c, "")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:498: SnapTestSuite.TestLocalOemSnapInstall

click_test.go:499:
    snapFile := makeTestSnapPackage(c, `name: foo
    version: 1.0
    type: oem
    icon: foo.svg
    vendor: Foo Bar <email address hidden>`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:514: SnapTestSuite.TestLocalOemSnapInstallVariants

click_test.go:515:
    snapFile := makeTestSnapPackage(c, `name: foo
    version: 1.0
    type: oem
    icon: foo.svg
    vendor: Foo Bar <email address hidden>`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:204: SnapTestSuite.TestLocalSnapInstall

click_test.go:205:
    s.testLocalSnapInstall(c)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:300: SnapTestSuite.TestLocalSnapInstallAccepterReasonable

click_test.go:301:
    pkg := makeTestSnapPackage(c, `
    name: foobar
    version: 1.0
    vendor: foo
    explicit-license-agreement: Y`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:215: SnapTestSuite.TestLocalSnapInstallDebsigVerifyFails

click_test.go:220:
    snapFile := makeTestSnapPackage(c, "")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:230: SnapTestSuite.TestLocalSnapInstallDebsigVerifyPassesUnauth

click_test.go:239:
    snapFile := makeTestSnapPackage(c, "")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:208: SnapTestSuite.TestLocalSnapInstallFailsAlreadyInstalled

click_test.go:209:
    snapFile := s.testLocalSnapInstall(c)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:1097: SnapTestSuite.TestLocalSnapInstallInhibitHooks

click_test.go:1117:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:250: SnapTestSuite.TestLocalSnapInstallMissingAccepterFails

click_test.go:251:
    pkg := makeTestSnapPackage(c, `
    name: foo
    version: 1.0
    vendor: foo
    explicit-license-agreement: Y`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:262: SnapTestSuite.TestLocalSnapInstallNegAccepterFails

click_test.go:263:
    pkg := makeTestSnapPackage(c, `
    name: foo
    version: 1.0
    vendor: foo
    explicit-license-agreement: Y`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:274: SnapTestSuite.TestLocalSnapInstallNoLicenseFails

click_test.go:278:
    pkg := makeTestSnapPackageFull(c, `
    name: foo
    version: 1.0
    vendor: foo
    explicit-license-agreement: Y`, false)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:289: SnapTestSuite.TestLocalSnapInstallPosAccepterWorks

click_test.go:290:
    pkg := makeTestSnapPackage(c, `
    name: foo
    version: 1.0
    vendor: foo
    explicit-license-agreement: Y`)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:1065: SnapTestSuite.TestLocalSnapInstallRunHooks

click_test.go:1085:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: snapp_test.go:850: SnapTestSuite.TestPackageYamlSingleArchitecturesParsing

snapp_test.go:858:
    c.Assert(err, IsNil)
... value *snappy.ErrInvalidYaml = &snappy.ErrInvalidYaml{file:"package.yaml", err:(*yaml.TypeError)(0xc8204abd00), yaml:[]uint8{0x6e, 0x61, 0x6d, 0x65, 0x3a, 0x20, 0x66, 0x61, 0x74, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0xa, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3a, 0x20, 0x31, 0x2e, 0x30, 0xa, 0x76, 0x65, 0x6e, 0x64, 0x6f, 0x72, 0x3a, 0x20, 0x4d, 0x69, 0x63, 0x68, 0x61, 0x65, 0x6c, 0x20, 0x56, 0x6f, 0x67, 0x74, 0x20, 0x3c, 0x6d, 0x76, 0x6f, 0x40, 0x75, 0x62, 0x75, 0x6e, 0x74, 0x75, 0x2e, 0x63, 0x6f, 0x6d, 0x3e, 0xa, 0x61, 0x72, 0x63, 0x68, 0x69, 0x74, 0x65, 0x63, 0x74, 0x75, 0x72, 0x65, 0x3a, 0x20, 0x69, 0x33, 0x38, 0x36, 0xa}} ("can not parse package.yaml: yaml: unmarshal errors:\n (from: \"name: fatbinary\\nversion: 1.0\\nvendor: Michael Vogt <email address hidden>\\narchitecture: i386\\n\")")

----------------------------------------------------------------------
FAIL: click_test.go:315: SnapTestSuite.TestPreviouslyAcceptedLicense

click_test.go:330:
    pkg := makeTestSnapPackage(c, yaml+"version: 2")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: snapp_test.go:704: SnapTestSuite.TestRemoteSnapUpgradeService

snapp_test.go:705:
    snapPackage := makeTestSnapPackage(c, `name: foo
    version: 1.0
    vendor: foo
    services:
     - name: svc
    `)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: rollback_test.go:40: SnapTestSuite.TestRollbackFindVersion

rollback_test.go:41:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: rollback_test.go:52: SnapTestSuite.TestRollbackService

rollback_test.go:55:
    makeTwoTestSnaps(c, pkg.TypeApp, `services:
     - name: svc1
    `)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: rollback_test.go:28: SnapTestSuite.TestRollbackWithVersion

rollback_test.go:29:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:339: SnapTestSuite.TestSameLicenseVersionButNotRequired

click_test.go:354:
    pkg := makeTestSnapPackage(c, yaml+"version: 2\nexplicit-license-agreement: Y\nvendor: foo")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: set_test.go:78: SnapTestSuite.TestSetActive

set_test.go:79:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:382: SnapTestSuite.TestSnapRemove

click_test.go:390:
    _, err := installClick(makeTestSnapPackage(c, ""), 0, nil, testOrigin)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: remove_test.go:47: SnapTestSuite.TestSnapRemoveActive

remove_test.go:48:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: remove_test.go:58: SnapTestSuite.TestSnapRemoveActiveOemFails

remove_test.go:59:
    makeTwoTestSnaps(c, pkg.TypeOem)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: remove_test.go:36: SnapTestSuite.TestSnapRemoveByVersion

remove_test.go:37:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: remove_test.go:79: SnapTestSuite.TestSnapRemoveGC

remove_test.go:80:
    makeTwoTestSnaps(c, pkg.TypeApp)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:840: SnapTestSuite.TestSnappyHandleBinariesOnInstall

click_test.go:847:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:867: SnapTestSuite.TestSnappyHandleBinariesOnUpgrade

click_test.go:874:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:958: SnapTestSuite.TestSnappyHandleDependentServicesOnInstall

click_test.go:959:
    fmkYaml, inter := s.setupSnappyDependentServices(c)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:1011: SnapTestSuite.TestSnappyHandleDependentServicesOnInstallFailingToStart

click_test.go:1012:
    fmkYaml, inter := s.setupSnappyDependentServices(c)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:983: SnapTestSuite.TestSnappyHandleDependentServicesOnInstallFailingToStop

click_test.go:984:
    fmkYaml, inter := s.setupSnappyDependentServices(c)
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:896: SnapTestSuite.TestSnappyHandleServicesOnInstall

click_test.go:904:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: click_test.go:1043: SnapTestSuite.TestSnappyHandleServicesOnInstallInhibit

click_test.go:1057:
    snapFile := makeTestSnapPackage(c, packageYaml+"version: 1.0")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: snapp_test.go:655: SnapTestSuite.TestUbuntuStoreRepositoryInstallRemoteSnap

snapp_test.go:656:
    snapPackage := makeTestSnapPackage(c, "")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

----------------------------------------------------------------------
FAIL: install_test.go:176: SnapTestSuite.TestUpdate

install_test.go:177:
    snapPackagev1 := makeTestSnapPackage(c, "name: foo\nversion: 1\nvendor: foo")
common_test.go:146:
    c.Assert(err, IsNil)
... value *errors.errorString = &errors.errorString{s:"archive/tar: write too long"} ("archive/tar: write too long")

OOPS: 226 passed, 53 FAILED
--- FAIL: Test (6.37s)
FAIL
FAIL launchpad.net/snappy/snappy 6.380s

Related branches

Michael Hudson-Doyle (mwhudson) wrote :

It's this change: https://go-review.googlesource.com/#/c/6790/ which seems to be about preserving hard links in tar files?

Michael Hudson-Doyle (mwhudson) wrote :

This fixes it, but it seems a bit of a hack:

=== modified file 'clickdeb/deb.go'
--- clickdeb/deb.go 2015-05-28 14:48:08 +0000
+++ clickdeb/deb.go 2015-07-29 01:28:09 +0000
@@ -334,7 +334,10 @@
   if err != nil {
    return err
   }
-
+ if hdr.Typeflag == tar.TypeLink {
+ hdr.Typeflag = tar.TypeReg
+ hdr.Size = info.Size()
+ }
   // tar.FileInfoHeader does include the fact that its a
   // char/block device, but does not set major/minor :/
   if helpers.IsDevice(st.Mode()) {

Michael Hudson-Doyle (mwhudson) wrote :

The context is preparing to upload Go 1.5 to wily: https://lists.launchpad.net/ubuntu-phone/msg14591.html

summary: - tests fail with 1.5 tip
+ tests fail with Go 1.5 tip
Sergio Schvezov (sergiusens) wrote :

If Chipaca doesn't beat me to it, I'll look at it tomorrow

Hold fire, maybe upstream will change here
https://groups.google.com/forum/m/#!topic/golang-dev/_Kyt5Ky8klc
On 1/08/2015 1:45 am, "Launchpad Bug Tracker" <email address hidden>
wrote:

> ** Branch linked: lp:~sergiusens/snappy/go1.5
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1478736
>
> Title:
> tests fail with Go 1.5 tip
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/snappy/+bug/1478736/+subscriptions
>

Michael Vogt (mvo) wrote :

Thanks for the bugreport. I do not see these issues with go1.5~rc1 from wily. I asssume the regression is fixed upstream and close the bug. Please reopen if I misjudged this.

Changed in snappy:
status: New → Fix Released
Michael Hudson-Doyle (mwhudson) wrote :

Oops, should have closed this bug as invalid a while ago. Thanks for
clearing my mess :-)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers